# -*- coding: utf-8 -*-

from rest_framework import generics
from rest_framework.permissions import AllowAny

from thux.api.views import QuerysetMixin
from thux.api.permissions import ThuxModelPermissions

from .. import models
from . import serializers


class OwnerOrganizationRetrieve(generics.RetrieveAPIView):
    permission_classes = (AllowAny,)
    queryset = models.OwnerOrganization.objects.filter(status=1)
    serializer_class = serializers.OwnerOrganizationRetrieveSerializer

    def get_object(self):
        return self.queryset.last()

