# -*- coding: utf-8 -*-

from django.core.urlresolvers import reverse
from django.utils.translation import ugettext as _
from admin_tools.menu import items
from jmb.core.admin.menu import register_menu

menu_item = items.MenuItem(
    # GENERAL
    _('organization'), reverse('admin:app_list', kwargs={'app_label': 'organization'}),
    children=[
        items.MenuItem(
            _('organization'), reverse('admin:organization_organization_changelist', ),
            children=[
                items.MenuItem(
                    _('add organization'), reverse('admin:organization_organization_add', )
                ),
                items.MenuItem(
                    _('organization list'), reverse('admin:organization_organization_changelist', )
                ),
            ]
        ),
        items.MenuItem(
            _('other organization'), '',
            children=[
                items.MenuItem(
                    _('owner organization'),
                    reverse('admin:organization_ownerorganization_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add owner organization'), reverse('admin:organization_ownerorganization_add', )
                        ),
                        items.MenuItem(
                            _('owner organization list'), reverse('admin:organization_ownerorganization_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('customer organization'), reverse('admin:organization_customerorganization_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add customer organization'), reverse('admin:organization_customerorganization_add', )
                        ),
                        items.MenuItem(
                            _('customer organization list'), reverse('admin:organization_customerorganization_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('supplier organization'), reverse('admin:organization_supplierorganization_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add supplier organization'), reverse('admin:organization_supplierorganization_add', )
                        ),
                        items.MenuItem(
                            _('supplier organization list'), reverse('admin:organization_supplierorganization_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('vector organization'), reverse('admin:organization_vectororganization_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add vector organization'), reverse('admin:organization_vectororganization_add', )
                        ),
                        items.MenuItem(
                            _('vector organization list'), reverse('admin:organization_vectororganization_changelist', )
                        ),
                    ]
                ),
            ]
        ),
        items.MenuItem(
            _('contact'), reverse('admin:organization_contact_changelist', ),
            children=[
                items.MenuItem(
                    _('add contact'), reverse('admin:organization_contact_add', )
                ),
                items.MenuItem(
                    _('contact list'), reverse('admin:organization_contact_changelist', )
                ),
            ]
        ),
        items.MenuItem(
            _('other contact'), '',
            children=[
                items.MenuItem(
                    _('owner contact'),
                    reverse('admin:organization_ownercontact_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add owner contact'), reverse('admin:organization_ownercontact_add', )
                        ),
                        items.MenuItem(
                            _('owner contact list'), reverse('admin:organization_ownercontact_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('customer contact'), reverse('admin:organization_customercontact_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add customer contact'), reverse('admin:organization_customercontact_add', )
                        ),
                        items.MenuItem(
                            _('customer contact list'), reverse('admin:organization_customercontact_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('supplier contact'), reverse('admin:organization_suppliercontact_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add supplier contact'), reverse('admin:organization_suppliercontact_add', )
                        ),
                        items.MenuItem(
                            _('supplier contact list'), reverse('admin:organization_suppliercontact_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('worker contact'), reverse('admin:organization_workercontact_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add worker contact'), reverse('admin:organization_workercontact_add', )
                        ),
                        items.MenuItem(
                            _('worker contact list'), reverse('admin:organization_workercontact_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('vector contact'), reverse('admin:organization_vectorcontact_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add vector contact'), reverse('admin:organization_vectorcontact_add', )
                        ),
                        items.MenuItem(
                            _('vector contact list'), reverse('admin:organization_vectorcontact_changelist', )
                        ),
                    ]
                ),
            ]
        ),
        items.MenuItem(
            _('other'), '',
            children=[
                items.MenuItem(
                    _('organization group'), reverse('admin:organization_organizationgroup_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add organization group'), reverse('admin:organization_organizationgroup_add', )
                        ),
                        items.MenuItem(
                            _('organization group list'), reverse('admin:organization_organizationgroup_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('organization form'), reverse('admin:organization_organizationform_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add organization form'), reverse('admin:organization_organizationform_add', )
                        ),
                        items.MenuItem(
                            _('organization form list'), reverse('admin:organization_organizationform_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('organization type'), reverse('admin:organization_organizationtype_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add organization type'), reverse('admin:organization_organizationtype_add', )
                        ),
                        items.MenuItem(
                            _('organization type list'), reverse('admin:organization_organizationtype_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('field'), reverse('admin:organization_field_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add field'), reverse('admin:organization_field_add', )
                        ),
                        items.MenuItem(
                            _('field list'), reverse('admin:organization_field_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('contact role'), reverse('admin:organization_contactrole_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add contact role'), reverse('admin:organization_contactrole_add', )
                        ),
                        items.MenuItem(
                            _('contact role list'), reverse('admin:organization_contactrole_changelist', )
                        ),
                    ]
                ),
                items.MenuItem(
                    _('contact title'), reverse('admin:organization_contacttitle_changelist', ),
                    children=[
                        items.MenuItem(
                            _('add contact title'), reverse('admin:organization_contacttitle_add', )
                        ),
                        items.MenuItem(
                            _('contact title list'), reverse('admin:organization_contacttitle_changelist', )
                        ),
                    ]
                ),
            ]
        )
    ]
)

register_menu(menu_item, 'jmb.organization')
